Коммерческая версия конструктора контента JBZoo не будет работать если на вашем сервере не установлен ionCube

Для его установки необходимо перейти в папку /usr/local/src и скачать в неё архив со скриптом установщиком. Версию нужно выбирать исходя из разрядности операционной системы. В моём случае это 64 битная  ось Debian 7. Для установки я выполнил команды (под учётной записью root):

cd /usr/local/src
wget http://downloads3.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz

Далее распаковал данный архив:

tar -xvf ioncube_loaders_lin_x86-64.tar.gz

В куче распакованных файлов есть библиотеки всех поддерживаемых версий PHP, необходимо выбрать ту версию которую вы используете. У меня был установлен PHP 5.4, поэтому я выбрал соответствующие файлы. Кстати проверить текущую версию PHP можно выполнив команду:

php -v

Ответ моего сервера был: PHP 5.4.35-0+deb7u2 (cli) (built: Nov 19 2014 07:56:24)

Итак, я выбрал библиотеки под свою версию PHP и скопировал их командами:

cp /usr/local/src/ioncube/ioncube_loader_lin_5.4.so /usr/lib/php5/20100525/
cp /usr/local/src/ioncube/ioncube_loader_lin_5.4_ts.so /usr/lib/php5/20100525/

Далее создал конфигурационный файл для PHP и прописал в него путь к скопированным библиотекам:

nano /etc/php5/apache2/conf.d/ioncube.ini

 В созданый файл ioncube.ini вставил:

;Установка ioncube loader
zend_extension = /usr/lib/php5/20100525/ioncube_loader_lin_5.4.so
zend_extension = /usr/lib/php5/20100525/ioncube_loader_lin_5.4_ts.so

И что бы изменения вступили в силу перезапустил apache:

service apache2 restart

Проверил правильность установки модуля командой:

php -m

Ответ был:

 [Zend Modules]
the ionCube PHP Loader

Это означает что модуль установлен правильно и работает.

Добавить комментарий


cooltext1694908713.png